varying vec3 v_position;
varying vec3 v_normal;


void main(void)
{
	v_position = vec3(gl_ModelViewMatrix * gl_Vertex);
	v_normal   = gl_Normal;

	gl_Position = ftransform();

	gl_ClipVertex = gl_ModelViewMatrix * gl_Vertex;
}
